## golang-github-segmentio-kafka-go 0.4.49+ds1

=== Makefile ===
test:
	KAFKA_SKIP_NETTEST=1 \
	KAFKA_VERSION=2.3.1 \
	go test -race -cover ./...

docker:
	docker compose up -d

## golang-github-segmentio-kafka-go 0.2.1

=== debian/changelog ===
golang-github-segmentio-kafka-go (0.2.1-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 02:16:11 +0100

golang-github-segmentio-kafka-go (0.2.1-1) unstable; urgency=medium

  * Initial release (Closes: #914210)

 -- Alexandre Viau <aviau@debian.org>  Tue, 20 Nov 2018 12:06:41 -0500

=== debian/control ===
Source: golang-github-segmentio-kafka-go
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Alexandre Viau <aviau@debian.org>
Build-Depends: debhelper (>= 11),
               dh-golang,
               golang-any,
               golang-github-pierrec-lz4-dev,
               golang-golang-x-net-dev,
               golang-snappy-go-dev
Standards-Version: 4.2.1
Homepage: https://github.com/segmentio/kafka-go
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-segmentio-kafka-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-segmentio-kafka-go.git
XS-Go-Import-Path: github.com/segmentio/kafka-go
Testsuite: autopkgtest-pkg-go

Package: golang-github-segmentio-kafka-go-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-pierrec-lz4-dev,
         golang-golang-x-net-dev,
         golang-snappy-go-dev
Description: Kafka library in Go
 Package kafka provides low and high level APIs for interacting with Kafka,
 mirroring concepts and implementing interfaces of the Go standard library
 to make it easy to use and integrate with existing software.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_test:
	# Tests require kafka

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-segmentio-kafka-go-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/segmentio/kafka-go/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-segmentio-kafka-go 0.4.49%2Bds1

=== debian/rules ===
#!/usr/bin/make -f

# Ignore mongo example, missing build dependency
export DH_GOLANG_EXCLUDES := examples/

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_test:
	# Tests require kafka

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-segmentio-kafka-go-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/,\
dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/segmentio/kafka-go/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-segmentio-kafka-go 0.4.49+ds1

=== debian/changelog ===
golang-github-segmentio-kafka-go (0.4.49+ds1-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hint.

  [ Lena Voytek ]
  * New upstream version 0.4.49
  * Update uploader (Closes: #940419).
  * Use dh-sequence-golang.
  * Use default salsa-ci.
  * Update copyright file excludes.
  * Update build dependencies to match new upstream.
  * Repack to remove vendored go-xerial-snappy dependency.
  * Do not build examples in package.

 -- Lena Voytek <lena@voytek.dev>  Sun, 21 Sep 2025 18:22:34 -0400

=== debian/control ===
Source: golang-github-segmentio-kafka-go
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Lena Voytek <lena@voytek.dev>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-aws-aws-sdk-go-dev,
               golang-github-aws-aws-sdk-go-v2-dev,
               golang-github-klauspost-compress-dev,
               golang-github-pierrec-lz4-dev,
               golang-github-xdg-go-scram-dev,
               golang-golang-x-net-dev
Standards-Version: 4.7.2
Homepage: https://github.com/segmentio/kafka-go
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-segmentio-kafka-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-segmentio-kafka-go.git
XS-Go-Import-Path: github.com/segmentio/kafka-go
Testsuite: autopkgtest-pkg-go

Package: golang-github-segmentio-kafka-go-dev
Architecture: all
Depends: ${misc:Depends},
         golang-github-pierrec-lz4-dev,
         golang-golang-x-net-dev
Multi-Arch: foreign
Description: Kafka library in Go
 Package kafka provides low and high level APIs for interacting with Kafka,
 mirroring concepts and implementing interfaces of the Go standard library
 to make it easy to use and integrate with existing software.

## golang-github-segmentio-kafka-go 0.4.50+ds1

=== debian/changelog ===
golang-github-segmentio-kafka-go (0.4.50+ds1-1) unstable; urgency=medium

  * New upstream version 0.4.50
  * d/control: Update standards version and remove Priority: optional

 -- Lena Voytek <lena@voytek.dev>  Sat, 24 Jan 2026 17:06:28 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: golang-github-segmentio-kafka-go
 Section: devel
-Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Lena Voytek <lena@voytek.dev>
 Build-Depends: debhelper-compat (= 13),
@@ -12,7 +11,7 @@
                golang-github-pierrec-lz4-dev,
                golang-github-xdg-go-scram-dev,
                golang-golang-x-net-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/segmentio/kafka-go
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-segmentio-kafka-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-segmentio-kafka-go.git
